Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.alm
Class ALFragment

    java.lang.Object
      org.jasig.portal.layout.alm.AggregatedLayout
          org.jasig.portal.layout.alm.ALFragment

All Implemented Interfaces:
  IAggregatedLayout, ILayoutFragment, IUserLayout

    public class ALFragment

extends AggregatedLayout
implements ILayoutFragment

The implementation of the user layout fragment. Prior to uPortal 2.5, this class existed in the package org.jasig.portal.layout. It was moved to its present package to reflect that it is part of Aggregated Layouts.

Version:
  $Revision: 1.1 $
Author:
  Michael Ivanov

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `functionalName`
`protected boolean` | `pushedFragment`

Fields inherited from interface org.jasig.portal.layout.IUserLayout
`ROOT_NODE_NAME`

Fields inherited from interface org.jasig.portal.layout.alm.IAggregatedLayout
`ADD_TARGET, CHANNEL, FOLDER, FRAGMENT, LAYOUT, MOVE_TARGET, PARAMETER, RESTRICTION`

Constructor Summary
`ALFragment(java.lang.String fragmentId)`
`ALFragment(java.lang.String fragmentId, IAggregatedUserLayoutManager layoutManager)`

Method Summary
`java.lang.String` | `getDescription()` Returns a fragment description
`java.lang.String` | `getFragmentId(java.lang.String nodeId)` Returns an fragment Id for a given node.
`java.util.Set` | `getFragmentIds()` Returns a list of fragment Ids existing in the layout.
`java.lang.String` | `getFragmentRootId()` Returns the fragment root Id.
`java.lang.String` | `getFunctionalName()` Returns a fragment functional name
`java.lang.String` | `getName()` Returns a fragment name
`boolean` | `isPushedFragment()` Answers whether the fragment is pushed or pulled
`void` | `setDescription(java.lang.String description)` Sets a fragment description
`void` | `setFunctionalName(java.lang.String functionalName)` Sets a fragment functional name
`void` | `setName(java.lang.String name)` Sets a fragment name
`void` | `setPulledFragment()` Marks the fragment as pulled
`void` | `setPushedFragment()` Marks the fragment as pushed

Methods inherited from class org.jasig.portal.layout.alm.AggregatedLayout
`addLayoutEventListener, getCacheKey, getChildIds, getDepth, getFirstSiblingNode, getFragmentRootId, getId, getLastSiblingNode, getLayoutData, getLayoutFolder, getLayoutNode, getNextSiblingId, getNode, getNodeDescription, getNodeId, getNodeIds, getParentId, getPreviousSiblingId, getRootId, removeLayoutEventListener, setLayoutData, setLayoutManager, writeTo, writeTo, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.layout.IUserLayout
`addLayoutEventListener, getCacheKey, getChildIds, getId, getNextSiblingId, getNodeDescription, getNodeId, getNodeIds, getParentId, getPreviousSiblingId, getRootId, removeLayoutEventListener, writeTo, writeTo, writeTo, writeTo`

Field Detail

### functionalName

    protected java.lang.String functionalName

### description

    protected java.lang.String description

### pushedFragment

    protected boolean pushedFragment

Constructor Detail

### ALFragment

    public ALFragment(java.lang.String fragmentId,
                      IAggregatedUserLayoutManager layoutManager)
               throws PortalException

Throws:
  `PortalException`

### ALFragment

    public ALFragment(java.lang.String fragmentId)
               throws PortalException

Throws:
  `PortalException`

Method Detail

### isPushedFragment

    public boolean isPushedFragment()

  Answers whether the fragment is pushed or pulled

  Returns:
    an boolean value

### setPushedFragment

    public void setPushedFragment()

  Marks the fragment as pushed

### setPulledFragment

    public void setPulledFragment()

  Marks the fragment as pulled

### getFunctionalName

    public java.lang.String getFunctionalName()

  Returns a fragment functional name

  Specified by:
    `getFunctionalName` in interface `ILayoutFragment`
  Returns:
    an `String` fragment name

### setFunctionalName

    public void setFunctionalName(java.lang.String functionalName)

  Sets a fragment functional name

  Parameters:
    `functionalName` - a `String` value

### getName

    public java.lang.String getName()

  Returns a fragment name

  Specified by:
    `getName` in interface `ILayoutFragment`
  Returns:
    an `String` fragment name

### getDescription

    public java.lang.String getDescription()

  Returns a fragment description

  Specified by:
    `getDescription` in interface `ILayoutFragment`
  Returns:
    an `String` fragment description

### setName

    public void setName(java.lang.String name)

  Sets a fragment name

  Parameters:
    `name` - a `String` value

### setDescription

    public void setDescription(java.lang.String description)

  Sets a fragment description

  Parameters:
    `description` - a `String` value

### getFragmentIds

    public java.util.Set getFragmentIds()
                                 throws PortalException

  Returns a list of fragment Ids existing in the layout.

  Specified by:
    `getFragmentIds` in interface `IAggregatedLayout`
  Overrides:
    `getFragmentIds` in class `AggregatedLayout`
  Returns:
    a `Set` of `String` fragment Ids.
  Throws:
    `PortalException` - if an error occurs

### getFragmentId

    public java.lang.String getFragmentId(java.lang.String nodeId)
                                   throws PortalException

  Returns an fragment Id for a given node. Returns null if the node is not part of any fragments.

  Specified by:
    `getFragmentId` in interface `IAggregatedLayout`
  Overrides:
    `getFragmentId` in class `AggregatedLayout`
  Parameters:
    `nodeId` - a `String` value
  Returns:
    a `String` fragment Id
  Throws:
    `PortalException` - if an error occurs

### getFragmentRootId

    public java.lang.String getFragmentRootId()
                                       throws PortalException

  Returns the fragment root Id.

  Specified by:
    `getFragmentRootId` in interface `ILayoutFragment`
  Returns:
    a `String` fragment root Id
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD